GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

          • Get the list of email templates
          • Modify email template
          • Preview email template
          • Get third-party email service configuration
          • Configure third-party email service
        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage message service

  10. /
  11. Modify email template

¶ Modify email template

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Modify email template

¶ Method Name

ManagementClient.updateEmailTemplate

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
contentstringyes-Email content templatexxx
senderstringyes-Email sender Name
subjectstringyes-Email subjectWelcome to
namestringyes-Email template NameWelcome email
customizeEnabledbooleanyes-Whether to enable custom templatestrue
typestringyes-Template type:
- WELCOME_EMAIL: Welcome email
- FIRST_CREATED_USER: First created user notification
- REGISTER_VERIFY_CODE: Registration verification code
- LOGIN_VERIFY_CODE: Login verification code
- MFA_VERIFY_CODE: MFA verification code
- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code
- FIRST_EMAIL_LOGIN_VERIFY: First email login verification
- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console
- USER_PASSWORD_UPDATE_REMIND: User expiration reminder
- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Administrator successfully reset user password notification
- USER_PASSWORD_RESET_NOTIFICATION: User password reset successful notification
- RESET_PASSWORD_VERIFY_CODE: Reset password verification code
- SELF_UNLOCKING_VERIFY_CODE: Self-service unlocking verification code
- EMAIL_BIND_VERIFY_CODE: Bind email verification code
- EMAIL_UNBIND_VERIFY_CODE: Unbind email verification code
WELCOME_EMAIL
expiresInnumberNo-Validity period of verification code/email. Only verification emails have validity period.300
redirectTostringNo-The address to jump to after completing email verification. Only valid for templates of type FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY.https://example.com
tplEnginestringNohandlebarTemplate rendering engine. GenAuth email template currently supports two rendering engines:
- handlebar: For detailed usage, please see: handlebars official documentation (opens new window)
- ejs: For detailed usage, please see: ejs official documentation (opens new window)

By default, handlerbar will be used as the template rendering engine.
handlebar

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.EmailTemplateSingleItemRespDto;
import cn.authing.sdk.java.dto.UpdateEmailTemplateDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class UpdateEmailTemplateTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        UpdateEmailTemplateDto reqDto = new UpdateEmailTemplateDto();
        reqDto.setContent("xxx");
        reqDto.setSender("sender");
        reqDto.setSubject("Welcome to join");
        reqDto.setName("Welcome email");
        reqDto.setCustomizeEnabled(Boolean.FALSE);
        reqDto.setType(UpdateEmailTemplateDto.Type.WELCOME_EMAIL);
        EmailTemplateSingleItemRespDto response = client.updateEmailTemplate(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: EmailTemplateSingleItemRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataEmailTemplateDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "customizeEnabled": true,
    "type": "WELCOME_EMAIL",
    "name": "Welcome email",
    "subject": "Welcome to {{app_name}}",
    "sender": "{{client_name}}",
    "content": "xxx",
    "expiresIn": 300,
    "redirectTo": "https://example.com",
    "tplEngine": "handlebar"
  }
}

¶ Data Structure

¶ EmailTemplateDto

NameType
Is it required
Description
Example Value
customizeEnabledbooleanyesWhether to enable custom templatestrue
typestringyesTemplate type:
- WELCOME_EMAIL: Welcome email
- FIRST_CREATED_USER: First created user notification
- REGISTER_VERIFY_CODE: Registration verification code
- LOGIN_VERIFY_CODE: Login verification code
- MFA_VERIFY_CODE: MFA verification code
- INFORMATION_COMPLETION_VERIFY_CODE: Registration information completion verification code
- FIRST_EMAIL_LOGIN_VERIFY: First email login verification
- CONSOLE_CONDUCTED_VERIFY: Initiate email verification in the console
- USER_PASSWORD_UPDATE_REMIND: User expiration reminder
- ADMIN_RESET_USER_PASSWORD_NOTIFICATION: Notification of successful password reset by administrator
- USER_PASSWORD_RESET_NOTIFICATION: Notification of successful password reset by user
- RESET_PASSWORD_VERIFY_CODE: Verification code for password reset
- SELF_UNLOCKING_VERIFY_CODE: Verification code for self-unlocking
- EMAIL_BIND_VERIFY_CODE: Verification code for binding email
- EMAIL_UNBIND_VERIFY_CODE: Verification code for unbinding email
WELCOME_EMAIL
namestringyesEmail templateNameWelcome email
subjectstringyesEmail subjectWelcome to
senderstringyesEmail senderName
contentstringyesEmail content templatexxx
expiresInnumbernoValidity period of verification code/email. Only verification emails have validity period.300
redirectTostringnoThe address to jump to after completing email verification. Only valid for templates of type FIRST_EMAIL_LOGIN_VERIFY and CONSOLE_CONDUCTED_VERIFY.https://example.com
tplEnginestringnoTemplate rendering engine. GenAuth email template currently supports two rendering engines:
- handlebar: For detailed usage, please see: handlebars official documentation (opens new window)
- ejs: For detailed usage, please see: ejs official documentation (opens new window)

By default, handlerbar will be used as the template rendering engine.
handlebar
Previous article: Get the list of email templates Next article: Preview email template
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.